# Uses of Class
java.security.cert.CertStoreSpi

Packages that use CertStoreSpi
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of CertStoreSpi in java.security.cert

Constructors in java.security.cert with parameters of type CertStoreSpi
Modifier
Constructor
Description
`protected`
`CertStore(CertStoreSpi storeSpi, Provider provider, String type, CertStoreParameters params)`
Creates a `CertStore` object of the given type, and encapsulates the given provider implementation (SPI object) in it.